package com.shxy.i2.timeTask;

import com.shxy.i2.service.Webservcies;
import com.shxy.i2.service.XydlI2Service;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author jingjing
 * @date 2023-11-16 15:06
 */
@Component
@EnableScheduling
@Slf4j
@EnableAsync
public class ScheduledTask {


    @Autowired
    Webservcies webservcies;

    @Async(value = "asyncServiceExecutor")
    @Scheduled(fixedDelay = 60 * 60 * 1000)
    public void cacyspupload() {
        webservcies.uploadyspData();
    }

    @Async(value = "asyncServiceExecutor")
    @Scheduled(fixedDelay = 10 * 60 * 1000)
    public void cacjfjcupload() {
        webservcies.uploadjfjcData();
    }

    //    @Scheduled(cron = "0 0/1 * * * ?")
    @Scheduled(fixedDelay = 5 * 30 * 1000)
    public void cacupload() {
        webservcies.uploadData();
//        String str = "aaaa";
//        webservcies.test(str);
    }

    //
    //    @Scheduled(cron = "0 * * * * ?")
//    @Async(value = "asyncServiceExecutor")


//    @Async(value = "asyncServiceExecutor")
//    @Scheduled(fixedDelay = 10 * 60 * 1000)
//    public void cacjfjcupload() {

//        webservcies.uploadjfjcData();
//    }
}
