package com.shxy.i2.Tool;

import cn.hutool.core.util.StrUtil;
import com.shxy.i2.bean.AttrBean;
import com.shxy.i2.constant.Constant;

import java.util.ArrayList;

public class GenerateI2Xml {

    public static String generateCacXml(String type, String sensorid, String equipmentid, String timestamp, ArrayList<AttrBean> attrlist) {
        String cacdata = "";
        cacdata += "<datanode sensorid=\"" + sensorid + "\"> ";
        cacdata += "<type>" + type + "</type> ";
        cacdata += "<equipmentid>" + equipmentid + "</equipmentid> ";
        if (StrUtil.isNotEmpty(timestamp)) {
            cacdata += "<timestamp>" + timestamp + "</timestamp> ";
        }
        cacdata += "<attrs> ";
        for (AttrBean bean : attrlist) {
            cacdata += "<attr name=\"" + bean.getKey() + "\" value=\"" + bean.getValue() + "\" alarm=\"FALSE\" /> ";
        }
        cacdata += "</attrs> ";
        cacdata += "</datanode>";
        return cacdata;
    }

    public static String generateEndCacXml(ArrayList<String> cacdatalist) {
        String cacxml = "";
        cacxml += "<?xml version=\"1.0\" encoding=\"UTF-8\"?> ";
        cacxml += "<request> ";
        cacxml += "<monitordata cacid=\"" + Constant.Cacid + "\" datanodenum=\"" + cacdatalist.size() + "\"> ";
        for (String str : cacdatalist) {
            cacxml += str;
        }
//        cacxml += "</attrs> ";
//        cacxml += "</datanode>";
        cacxml += "</monitordata> ";
        cacxml += "</request> ";

        return cacxml;
    }
}
